<script lang="ts">
	export let enableUnselect = false
	export let projects: Array<Project> = []
	export let selected: Project | null = null
	export let selectButtonLabel: string = "Select"

	import { createEventDispatcher } from "svelte"
	import type { Project } from "$lib/storage"
	const dispatch = createEventDispatcher<{ select: Project; unselect: undefined }>()

	function select(project: Project) {
		selected = project
		dispatch("select", project)
	}

	function unselect() {
		selected = null
		dispatch("unselect")
	}
</script>

{#if projects.length === 0}
	<div class="alert bg-primary-light text-primary" role="alert">None of your projects contain a Data Package.</div>
{:else if enableUnselect && selected !== null}
	<div>
		{selected.name} (<a href={selected.url}>link</a>)
		<button class="btn btn-secondary" on:click|preventDefault={unselect}>unselect</button>
	</div>
{:else}
	<ul>
		{#each projects as project}
			<li>
				{project.name} (<a href={project.url} rel="external" target="_blank">link</a>)
				<button class="btn btn-secondary" on:click|preventDefault={() => select(project)}>{selectButtonLabel}</button>
			</li>
		{/each}
	</ul>
{/if}
